com.beaglebuddy.mpeg.enums

## Enum ChannelMode

- java.lang.Object
- - java.lang.Enum<ChannelMode>
  - - com.beaglebuddy.mpeg.enums.ChannelMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChannelMode>

      public enum ChannelMode
      extends java.lang.Enum<ChannelMode>

  The list of valid channel modes supported by the MPEG audio standard.
  See Also:
    `MPEGFrameHeader`, Moving Picture Experts Group

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUAL_CHANNEL` Dual Channel Stereo
    `JOINT_STEREO` Joint Stereo
    `SINGLE_CHANNEL` Single channel Mono
    `STEREO` Stereo

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the channel mode.
    `boolean` | `isStereo()` gets whether the channel mode is stereo or not.
    `java.lang.String` | `toString()` gets a string representation of the channel mode enum.
    `static ChannelMode` | `valueOf(int mode)` converts an integral value to its corresponding channel mode enum.
    `static ChannelMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChannelMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STEREO

          public static final ChannelMode STEREO

      Stereo

    - #### JOINT_STEREO

          public static final ChannelMode JOINT_STEREO

      Joint Stereo

    - #### DUAL_CHANNEL

          public static final ChannelMode DUAL_CHANNEL

      Dual Channel Stereo

    - #### SINGLE_CHANNEL

          public static final ChannelMode SINGLE_CHANNEL

      Single channel Mono

  - ### Method Detail

    - #### values

          public static ChannelMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChannelMode c : ChannelMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChannelMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the channel mode.
      Returns:
        the name of the channel mode.

    - #### isStereo

          public boolean isStereo()

      gets whether the channel mode is stereo or not.
      Returns:
        whether the channel mode is stereo or not.

    - #### valueOf

          public static ChannelMode valueOf(int mode)
                                     throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding channel mode enum.
      Parameters:
        `mode` - integral value to be converted to an channel mode enum.
      Returns:
        the channel mode enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid channel mode.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the channel mode enum.
      Overrides:
        `toString` in class `java.lang.Enum<ChannelMode>`
      Returns:
        a string representation of the channel mode enum.